<?php
namespace Modules\Bsp\Settlement;

use \App\Mvc\View\Utils\Types\ListingColumn;
use \App\Mvc\View\Utils\Types\ListingColumns;

class View_List extends \App\Mvc\View_Window_PaginatedListing_ListAbstract
{
	protected $resultsPerPageList= [5, 10, 15, 20, 25, 30, 50, 100, PHP_INT_MAX];

	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\View_Window_PaginatedListing_ListAbstract::list_getThDetails()
	 */
	protected function list_getThDetails()
	{
		return ListingColumns::create()
			->append(
				ListingColumn::create('balanceStatus')
					->setLabel($this->lang['index']['listingColumns']['balanceStatus'])
					->setSortable('ASC')
			)
			->append(
				ListingColumn::create('ticketNumber')
					->setLabel($this->lang['index']['listingColumns']['ticketNumber'])
					->setSortable('ASC')
			)
			->append(
				ListingColumn::create('originalTicketNumber')
					->setLabel($this->lang['index']['listingColumns']['originalTicketNumber'])
					->setInvisible()
			)
			->append(
				ListingColumn::create('ticketDate')
					->setLabel($this->lang['index']['listingColumns']['ticketDate'])
					->setSortable('ASC')
			)
			->append(
				ListingColumn::create('inlineHeader')
					->setLabel("&nbsp;")
			)
			->append(
				ListingColumn::create('formOfPayment')
					->setLabel($this->lang['index']['listingColumns']['formOfPayment'])
			)
			->append(
				ListingColumn::create('priceCurrency')
					->setLabel($this->lang['index']['listingColumns']['priceCurrency'])
			)
			->append(
				ListingColumn::create('priceSupplier')
					->setLabel($this->lang['index']['listingColumns']['priceSupplier'])
			)
			->append(
				ListingColumn::create('priceTaxes')
					->setLabel($this->lang['index']['listingColumns']['priceTaxes'])
			)
			->append(
				ListingColumn::create('priceCommission')
					->setLabel($this->lang['index']['listingColumns']['priceCommission'])
			)
			->append(
				ListingColumn::create('balance')
					->setLabel($this->lang['index']['listingColumns']['balance'])
			)
			->append(
				ListingColumn::create('balanceDifference')
					->setLabel($this->lang['index']['listingColumns']['balanceDifference'])
					->setInvisible()
			)
			->append(
				ListingColumn::create('rowType')
					->setLabel($this->lang['index']['listingColumns']['rowType'])
					->setInvisible()
			)


			->append(
				ListingColumn::create('detailedComparison')
					->setLabel($this->lang['index']['listingColumns']['detailedComparison'])
					->setInvisible()
			)
			->append(
				ListingColumn::create('detailedImportedOrder')
					->setLabel($this->lang['index']['listingColumns']['detailedImportedOrder'])
					->setInvisible()
			)
			->append(
				ListingColumn::create('detailedBSP')
					->setLabel($this->lang['index']['listingColumns']['detailedBSP'])
					->setInvisible()
			)
			->append(
				ListingColumn::create('responsibleUser')
					->setLabel($this->lang['index']['listingColumns']['responsibleUser'])
					->setInvisible()
			)
		->loadLabels($this->lang['index']['listCols'])
		->loadSettings($this->input['listingParams']->getDynamicColumnsSettings());
	}
}
